 /* * { outline: 1px solid coral;
    outline-offset: -1px; }         */

@media only screen and (max-width: 600px) {   /* For mobile phones: */

    body{
        margin:0px;
    }
    #place-div{
        min-width: 300px;
        width: 100%;
        text-overflow: ellipsis;
        margin-bottom: 15px;
        
    }
    
    #slogan{
        display: none;
    }
    #logo{
        margin: 0px;
        margin-left:5px;
    }
    .logoimg{
        width: 48px;
    }
    .cookieInfoBox{
        width: 580px;
    }
    .cookieInfoBoxInner{
        width: 95%;
    }
    .options_div_inner{
        width: 90%;
        display: table;
        margin: 0 auto;
    }
    #titlebar{
        margin: 0px;
        padding: 0px;
        left:0;
        top:0;
        margin: 0 auto;
        width: 100%;
        height: 48px;
    }
    #settingsicon{
        right: 20px;
        height: 48px;
        width: 48px;
        line-height: 48px;
    }
}

@media only screen and (min-width: 601px){   /* For desktop: */
    body {
        margin-top: 30px;
    }
    #place-div{
      width: 600px;
      margin: auto;
      left: 50%;
      margin-bottom: 15px;
  }

 
    #slogan{
        display: inline;
        font-size: 20px;
        display: inline-block;
        vertical-align: middle;
        color: white;
        margin-left: 5px;

    }
    .slogan::before{
        content: "„";
    }

    .slogan::after{
        content: "”";
    }
    #logo{
        margin: 0px;
        margin-left:20px;
    }
    .logoimg{
        width: 48px;
    }
    #appname{
        margin-left: 15px;
    }
    #titlebar{
        margin: 0px;
        padding: 0px;
        left:0;
        top:0;
        margin: 0 auto;
        width: 100%;
        height: 48px;
    }
    .cookieInfoBox{
        width: 700px;
    }
    .cookieInfoBoxInner{
        width: 70%;
    }
    .options_div_inner{
        width: 200px;
        max-width: 200px;
        display: table;
        margin: 0 auto;
    }
    #settingsicon{
        /* background-color: rgb(102,75, 58); */
        right: 20px;
        height: 48px;
        width: 48px;
        line-height: 48px;
    }
}
@media only screen and (min-width: 826px) {
    #slogan{margin-left: 50px;}
    #logo{
        margin: 0px;
        margin-left:100px;
    }
    #appname{
        margin-left: 50px;
    }
    .logoimg{
        width: 64px;
    }
    #titlebar{
        height:64px;
    }
    #settingsicon{
        /* background-color: rgb(102,75, 58); */
        right: 8vw;
        height: 64px;
        width: 64px;
        line-height: 64px;
    }
}

body {
    margin: 0px;
    font-family: Arial, Helvetica, sans-serif;
    background-color: rgb(51, 76, 82);
  }

#ad-bar{
    height: 50px;
    background-color: red;
}

#place-div{
    height: 130px;
    padding-top: 0px;
    background-color: #FFF;
    -webkit-box-shadow: 0px 8px 15px 0px rgba(0,0,0,0.54);
    -moz-box-shadow: 0px 8px 15px 0px rgba(0,0,0,0.54);
    box-shadow: 0px 8px 15px 0px rgba(0,0,0,0.54);
    border-radius: 5px;
    border: 1px solid black;
}

.first-row{
    height: 53px;
    line-height: 53px;
    /* background-color: #333; */
    background-color: #474038;
    background-image: url("../images/placed_div_header_v1.jpg");
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap; 
    color: white;
}
.second-row{
    line-height: 40px;
    height: 40px;
    background-color: #FFF;
}
.third-row{
    line-height: 40px;
    height: 40px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    
    background-color: #FFF;
}
.left-side{
    text-align: left;
    float: left;
    padding: 0px 0px 0px 10px;
}

.right-side{
    text-align: right;
    float: right;
    padding: 0px 10px 0px 0px;
}
.center-side{
    text-align: center;
    float: left;
    padding: 0px 0px 0px 0px;
}
#name-div{
    width:  calc(70% - 10px);
    font-size: 24px;
    font-weight: bold;
}

#distance-div{
    width:  calc(30% - 10px);
    font-size: 18px;
}

#rating-div{
    width:  calc(33% - 5px);
}

#pricing-div{
    width:  calc(33% - 5px);
}
#opening{
    width: calc(33% - 10px);
}
#address-div{
    width: calc(100% - 10px);
}

.distance_text_meters:before{
    content: "~";
}

.distance_text_meters:after{
    content: "m";
}
.hidden{
    display:none;
}

#titlebar{
    margin: 0px;
    padding: 0px;
    left:0;
    top:0;
    margin: 0 auto;
    width: 100%;
    background-color: #4c433a;
    margin-bottom: 20px;
    border-bottom: 1px solid black;
    background-image: url(../images/placed_div_header_v1.jpg);

}

#logo{
    padding: 0px;
    
    border:0px;
    display: inline-block;
    vertical-align: middle;
}
#appname{
    display: inline-block;
    vertical-align: middle;
    font-size: 24px;
    color: white;
    font-weight: bold;
    text-shadow: #000 1px 0 2px;
    
}
.appname_first{
    color: white;
}


.cookiediv{
    position: fixed;
    line-height: 25px;
    width: 100%;
    /* background-color: rgb(102,75, 58); */
    background-color: #222;
    color: white;
    text-align: center;
    bottom: 0px;
    margin: 0px;
    padding:6px;
}

.cookiebutton{
    display:inline-block;
    font-weight:400;
    color:#fff;
    background-color: rgb(230,165,46);
    border-color: rgb(219, 158, 45);
    text-align:center;
    vertical-align:middle;
    -webkit-user-select:none;
    -moz-user-select:none;
    -ms-user-select:none;
    user-select:none;
    padding:.25rem .5rem;
    
    font-size:.875rem;
    line-height:1.5;
    border-radius:.2rem;
}
.cookiebutton:hover{
    color:#fff;
    background-color: rgb(201, 145, 41);
    border-color:rgb(189, 136, 39)
}.cookiebutton:focus{
    box-shadow:0 0 0 .2rem rgba(189, 136, 39,.5)
}

.a_cookieinfo{
    text-decoration: underline;
}
.span_cookie_info{
    font-weight: bold;
    margin-top: 15px;
    padding-top: 15px;
    text-decoration: underline;
}

.cookieInfoBox{
    height: 100%;
    width: 100%;
    border: 1px solid black;
    position:fixed; /*it can be fixed too*/
    left:0; right:0;
    top:0; bottom:0;
    margin:auto;
    color: white;
    /*this to solve "the content will not be cut when the window is smaller than the content": */
    max-width:100%;
    max-height:100%;
    overflow:auto;
    /* background-color: rgba(102,75, 58, .95); */
    background-color: #222222fa;
    
}
.cookieInfoBoxInner{
    left:0; right:0;
    top:0; bottom:0;
    margin:auto;
}

.stop-scrolling {
    height: 100%;
    overflow: hidden;
    overflow-x: hidden;
  }

.yellowishcolor{
    color: rgb(230,165,46);
}

#settingsicon{
    position: absolute;
    top: 0px;
    margin: 0px;
    padding: 0px;
    text-align: center;
    font-size: 36px;
}

.settingsbutton{
    display:inline-block;
    /* background-color: rgb(124, 92, 74);
    background-image: url(../images/placed_div_header_v1.jpg);   */
    background-color: rgba(25,25,25,0.1);
    border: 1px solid rgb(65, 48, 39);
    text-align:center;
    vertical-align:middle;
    -webkit-user-select:none;
    -moz-user-select:none;
    -ms-user-select:none;
    user-select:none;
    padding:.25rem .4rem;
    font-size:1.575rem;
    line-height:1.5;
    border-radius:.2rem;
}
.settingsbutton:hover{
    border: 1px solid rgb(34, 25, 20);
    /* background-color: rgb(87, 65, 53); */
    background-color: rgba(0,0,0,0.1);
    color: #CCC;
}

ion-icon {
    position: absolute;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  left: 0;
  right: 0;
  margin: auto;
  text-align: center;
  color: #DDD;
  text-shadow: #000 6px 0 6px;
  }

  .options_div{
    position:fixed; /*it can be fixed too*/
    left:0; right:0;
    top:0; bottom:0;
    margin:auto;
    height: 100%;
    width: 100%;
    background-color: rgba(0,0,0,.9);
    border: 1px solid black;
  }

  
  .options_div_inner{   
    
    position: absolute;
    top: 50%; left: 50%;
    transform: translate(-50%,-50%);
    background-color: white;
    border: 1px solid black;
    padding: 10px;
  }

  button, input[type="submit"], input[type="reset"] {
	display:inline-block;
    font-weight:400;
    color:#fff;
    background-color: rgb(230,165,46);
    border-color: rgb(219, 158, 45);
    text-align:center;
    vertical-align:middle;
    -webkit-user-select:none;
    -moz-user-select:none;
    -ms-user-select:none;
    user-select:none;
    padding:.25rem .5rem;
    
    font-size:.875rem;
    line-height:1.5;
    border-radius:.2rem;
    border: 1px solid;
}

#select_orderby, select_orderby option{
    width: 100%;
}

#problemdiv{
    width:100%;
    margin-top: 100px;
    text-align: center;
    margin:auto;
    color: white;
    /* font-weight: bold; */
    font-size: 20px;
}

#reloadtextbox{
    width:100%;
    font-size: 24px;
    color: white;
    text-align:center;
    height: 36px;
    line-height: 36px;
    /* background-color: #4c433a;
    background-image: url(../images/placed_div_header_v1.jpg); */
    /* border: 1px solid black;
    top: 50px;
    position: fixed; */
    margin-bottom: 10px;
}
.bodered {
    border: 1px solid black;
}
.text-focus-in {
	-webkit-animation: text-focus-in 1.2s cubic-bezier(0.550, 0.085, 0.680, 0.530);
	        animation: text-focus-in 1.2s cubic-bezier(0.550, 0.085, 0.680, 0.530);
}
/* ----------------------------------------------
 * Generated by Animista on 2019-12-8 20:39:59
 * Licensed under FreeBSD License.
 * See http://animista.net/license for more info. 
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation text-focus-in
 * ----------------------------------------
 */
@keyframes text-focus-in {
    0% {
      -webkit-filter: blur(12px);
              filter: blur(12px);
      opacity: 0;
    }
    100% {
      -webkit-filter: blur(0px);
              filter: blur(0px);
      opacity: 1;
    }
  }